Package org.apache.catalina.valves.rewrite

## Class ResolverImpl

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Resolver
  - - org.apache.catalina.valves.rewrite.ResolverImpl

    public class ResolverImpl
    extends Resolver

### Field Summary

Fields
`protected Request` `request`

### Constructor Summary

Constructors
`ResolverImpl​(Request request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Charset` `getUriCharset()`
`String` `resolve​(String key)` The following are not implemented: - SERVER_ADMIN - API_VERSION - IS_SUBREQ
`String` `resolveEnv​(String key)`
`String` `resolveHttp​(String key)`
`boolean` `resolveResource​(int type, String name)`
`String` `resolveSsl​(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### request

    protected Request request

### Constructor Detail

#### ResolverImpl

    public ResolverImpl​(Request request)

### Method Detail

#### resolve

    public String resolve​(String key)

The following are not implemented: - SERVER_ADMIN - API_VERSION - IS_SUBREQ

Specified by:
  `resolve` in class `Resolver`

#### resolveEnv

    public String resolveEnv​(String key)

Overrides:
  `resolveEnv` in class `Resolver`

#### resolveSsl

    public String resolveSsl​(String key)

Specified by:
  `resolveSsl` in class `Resolver`

#### resolveHttp

    public String resolveHttp​(String key)

Specified by:
  `resolveHttp` in class `Resolver`

#### resolveResource

    public boolean resolveResource​(int type,
                                   String name)

Specified by:
  `resolveResource` in class `Resolver`

#### getUriCharset

    public Charset getUriCharset()

Specified by:
  `getUriCharset` in class `Resolver`